Subject: GSP 370, Mac and PC, Noise B-side
From: EPOS Global Support <[email-masked]>
Cc: Daniele Castiglioni <[email-masked]>
Date: Wed, 24 Mar 2021 08:31:58 +0000

##- Please type your reply above this line -##

You are registered as a CC on this support request (125393). Reply to this email to add a comment to the request.

----------------------------------------------

Christian Endres, Mar 24, 2021, 8:31 UTC

Dear Josephine,

the headset is on its way to your destination, should reach you tomorrow. You can find the tracking ID in the attached Mail. How long will the refunding process take?

Thanks for your help

Christian

Attachment(s):
unnamed_attachment_1.eml - https://eposaudio-gaming.zendesk.com/attachments/token/dvfCw9BKYJc0jMIlnGtwxdA8p/?name=unnamed_attachment_1.eml

----------------------------------------------

Daniele Castiglioni, Mar 22, 2021, 13:14 UTC (private)

**_NEXT ACTION_**

**What**: UPS return label sent to customer (1Z609FR69196454671) as per instructions
**Who**:Christian
**When**: 29/03/2021​

----------------------------------------------

Daniele Castiglioni, Mar 22, 2021, 13:13 UTC

Dear Christian,

We are sending a pre-paid UPS return label attached to this email. Please follow the instructions on the label and return the faulty product to us within seven days.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
125393.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/kqRrj4zhimDapSTBRqyS8lvlj/?name=125393.pdf

----------------------------------------------

Josephine Veena, Mar 19, 2021, 15:26 UTC (private)

**Daniele Castiglioni**​ Please make a return label to the below address

EPOS/Sennheiser Communications A/S
Industriparken 27
DK-2750 Ballerup
Denmark
Josephine Veena Dorairaj
[email-masked]
+45 4470 0119

Assign the ticket back to me once you send the return label to the customer.

----------------------------------------------

Josephine Veena, Mar 19, 2021, 15:25 UTC

Dear Christian,

Thank you for your email.

I found the bank details in the ticket and forwarded it to our Finance team.

We received one headset back and our Warranty team will send another return label to you.
Once we receive that unit, refund will be initiated.

We wish you a nice day!
Best regards,

**Josephine Veena
EPOS Global Support**

----------------------------------------------

Christian Endres, Mar 17, 2021, 7:17 UTC

Dear Josephine,

thanks alot for the nice talk yesterday and thanks for going into overtime for this case. You can find attached the tracking ID of me returning the replacement pair of headsets as discussed yesterday.

I would like to take option 2 with the refund. My banking details you should find in the tickets if they are not deleted. If, I can send them to you again.

Best

Christian

Attachment(s):
unnamed_attachment_1.eml - https://eposaudio-gaming.zendesk.com/attachments/token/A1HuqhiKWV2wAz84qThsDUbIH/?name=unnamed_attachment_1.eml

----------------------------------------------

Josephine Veena, Mar 16, 2021, 17:24 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 370
**Number of Products**: 1
**Issue**: Noise B-side

**What**: Customer to confirm if he wants replacement or refund

**Who**: Christian
**When**:

----------------------------------------------

Josephine Veena, Mar 16, 2021, 17:24 UTC

Hello Christian,

Thank you so much for your time on the call.

As discussed on the call, we have 2 possibilities:
1) If you wish to get any other EPOS Gaming headset https://www.eposaudio.com/de/de/gaming/products you can select from this link and I will ship it to you
as a compensation and collect the faulty units back
  **  or**
2) If you want refund, I can request our Team to refund the amount to you.

Once you confirm your option, I will start the process.

Apologies for the inconvenience caused and sorry for understanding.

Have a nice evening!

Best regards,

**Josephine Veena
EPOS Global Support**

----------------------------------------------

Josephine Veena, Mar 16, 2021, 17:18 UTC (private)

Total Duration 745
Disposition : Successful Call
Description:  Customer is not satisfied with GSP 370 as his 2 headsets had noise issues and not the Gaming suite software is not compatiblw with MAC. I agreed to send the product porfolio links to him, if the customer likes any of our Gaming headset I agreed to ship it as a compensation, if not we will refund.  
URL:

----------------------------------------------

Christian Endres, Mar 15, 2021, 15:55 UTC

Dear Josephine,

Unfortunately, I couldn’t answer right away, tried to call back but only reached the usual hotline. You can reach me at 6 p.m. today. You called from Berlin, so, we can speak German if it suits you more.

But, as you are – again – someone new I have to talk to, what do you want to discuss? The case is simple, all I want is a refunding to end this drama. Please note, my bad mood has nothing to do with you, just with the case.

Best

Christian

----------------------------------------------

Josephine Veena, Mar 15, 2021, 15:49 UTC (private)

**_NEXT ACTION_**

**Product name**: GSP 370
**Number of Products**: 1
**Issue**: Noise B-side

**What**: Customer to provide preferred timings to call back

**Who**: Christian
**When**: 16/03/2021​

----------------------------------------------

Josephine Veena, Mar 15, 2021, 15:48 UTC

Hello Christian,

I am Josephine, Gaming Support Supervisor. I called you now to this number +4917661095666 but unfortunately you didn't answer.

Could you please provide your preferred timings to call you to discuss about the issue with GSP 370?

We wish you a nice day!
Best regards,

**Josephine Veena
EPOS Global Support**

----------------------------------------------

Josephine Veena, Mar 15, 2021, 15:45 UTC (private)

Total Duration 24
Disposition : Attempting Contact
Description:  Customer didnot answer. No voice mails options  
URL:

----------------------------------------------

Christian Endres, Mar 15, 2021, 9:09 UTC

Daniele,

please find attached the response of Sennheiser. They sold all obligations to EPOS, so, you are the right one to contact regarding repairing and refund. So, again, I demand you to fulfil your obligations and refund the money. You can find my banking details, invoice and everything else in the history.

If you again decline, I will take further steps. I am out of patience with dealing with you.

Christian

Attachment(s):
unnamed_attachment_1.eml - https://eposaudio-gaming.zendesk.com/attachments/token/dFwkvnieKwdlGsXQI4vB5vkVS/?name=unnamed_attachment_1.eml

----------------------------------------------

Daniele Castiglioni, Mar 10, 2021, 11:54 UTC (private)

**_NEXT ACTION_**

**What**: New retu4rn label sent to customer (1Z609FR69195647590)
**Who**: Christian
**When**: 16/03/2021​

----------------------------------------------

Daniele Castiglioni, Mar 10, 2021, 11:53 UTC

Dear Christian,

We are sending a new pre-paid UPS return label attached to this email. Please follow the instructions on the label and return the faulty product to us within seven days.

In order to get a refund, please note that you need to contact your original reseller from where you purchased the headset from.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
125393.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/4nI0WMIOzzHiIfKsr7Q31b5SD/?name=125393.pdf

----------------------------------------------

Christian Endres, Mar 8, 2021, 16:18 UTC

Dear Daniele,

please send me a new return label, I will send the headsets to you as soon as possible.

The seller was Sennheiser itself and the obligations were sold to EPOS. So, in my eyes, the refunding has to be done by EPOS. Can you please confirm this?

Best

Christian

----------------------------------------------

Daniele Castiglioni, Mar 8, 2021, 14:35 UTC (private)

**_NEXT ACTION_**

**What**: Informing customer to return the faulty. Informing customer that for refund needs to check with reseller
**Who**: Christian
**When**: 12/03/2021​

----------------------------------------------

Daniele Castiglioni, Mar 8, 2021, 14:34 UTC

Dear Christian,

Thank you for your email.

Please return the defective headset.

In order to get a refund, kindly contact the reseller you purchased the headset from.

Please let me know if you need assistance with anything else.

Regards,
**Daniele Castiglioni**
**EPOS Global Support**

----------------------------------------------

Christian Endres, Mar 4, 2021, 18:34 UTC

Dear Daniele,

you did not send me any return label. In all your mails, there were no attachments. If you tell me, that you attached it to the mail, your systems do not work properly. The other support employees send it via separate mails.

I found the return label in your Zendesk. Funny service that I have to search for it. I will send one replacement headset back to you.

The other (second) replacement headset is not working as advertised and paid:

- Infrequent static noises when I speak.
- No Mac support, no software – according to disappointed customers on Reddit, Sennheiser / Epos is working on that since years – and is not delivering.
- Not always muted when I push up the mic, my colleagues could hear me talk but the headset should have been muted. Hardware switch defective?
- Connection loss if I move away slightly from desk, the original Sennheiser headset were working in all rooms of my flat without connection loss.

Everything – again – with latest Mac updates and latest update of the headset.

All in all, I do not have any patience left. On the one hand, I like the pair of headsets if they would work properly. Unfortunately, you send me poor quality, not working as advertised and defective replacements. I want to return the headsets and you to refund me the money. If not, I am near to give the case to a lawyer. You should consult your manager on how to proceed.

Best – and hopefully soon finally

Christian

----------------------------------------------

Daniele Castiglioni, Mar 4, 2021, 12:58 UTC (private)

**_NEXT ACTION_**

**What**: same retunr label sent again to customer. asking about more details about 2nd question
**Who**: Christian
**When**: 10/03/2021​

----------------------------------------------

Daniele Castiglioni, Mar 4, 2021, 12:58 UTC

Dear Christian,

According to our system you alreayd received the replacement headset. So customer need to return the defective headsets they have and for which the warranty process was processed.

Please note I am sending again the UPS return label attached to this email.

Please specify what you mean about the second question. Is it still related to software support for MAC?

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
125393.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/9oFDB9kiKwTtXO7aPdpkXTsdt/?name=125393.pdf

----------------------------------------------

Christian Endres, Mar 3, 2021, 11:11 UTC

Dear Daniele,

agreed, I will return the defective devices. But again, you did not respond to my points and questions. Still, I did not receive any return label (also not after your last mails), so, I am not able to return even one defective device.

Last request, please answer:

- Which of the defective devices should I return or both?
- What is the next step, what do you offer for fulfilling your warranty obligations?

If you still refuse to answer my questions and refuse to fulfil your warranty obligations, my next step will be to consider if I make use of my legal protection insurance and to contact Steven Schmidt, Andreas Jessen, and Jeppe Dalberg-Larsen directly, if this is their sense of premium quality and customer satisfaction. For that, I set you a deadline you should not ignore, and which is documented in the mails.

Best

Christian

----------------------------------------------

Daniele Castiglioni, Mar 3, 2021, 10:31 UTC (private)

**_NEXT ACTION_**

**What**: new return label sent to customer (1Z609FR69105168106)
**Who**:Christian
**When**: 09/03/2021​

----------------------------------------------

Daniele Castiglioni, Mar 3, 2021, 10:30 UTC

Dear Christian,

Accroding to warranty policy, customers need to return the defective headset once they have received the replacement product.

I am sending a new pre-paid UPS return label attached to this email. Please follow the instructions on the label and return the faulty product to us within seven days.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
125393.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/gDJqIlD89VnZzjmqa8XWwmOzS/?name=125393.pdf

----------------------------------------------

Daniele Castiglioni, Feb 25, 2021, 14:10 UTC (private)

**_NEXT ACTION_**

**What**: Informing customer to return the faulty
**Who**: Christian
**When**: 03/03/2021​

----------------------------------------------

Daniele Castiglioni, Feb 25, 2021, 14:09 UTC

Dear Christian,

Please do return the faulty product using the pre-paid UPS return label previously provide.

Do not hesitate to contact us if you have further question.

We wish you a nice day!

Best regards,
**Daniele Castiglioni**

**EPOS Global Support**​

----------------------------------------------

Daniele Castiglioni, Feb 23, 2021, 10:19 UTC (private)

**_NEXT ACTION_**

**What**: infroming customer that the no exact date for Mac software support
**Who**: Christian
**When**: 26/02/2021​

----------------------------------------------

Daniele Castiglioni, Feb 23, 2021, 10:18 UTC

Dear Christian,

Thank you for your email.

Please note that I checked with the technical team and they informed that they are still working on the EPOS Gaming Suite software for Mac.

I currently not able to provide an exact date for the release of Mac software support.

Thank you for your understanding.

I wish you a nice day ahead!

Best regards,
**Daniele Castiglioni**

**EPOS Global Support**

----------------------------------------------

Christian Endres, Feb 20, 2021, 11:17 UTC

Dear Daniele,

Josue did not answer  my question when there will be Mac software support for the headset as advertised. According reddit, Sennheiser or Epos did not deliver since 2019. Please state the confirmed and reliable deliver date for the software.

Best

Christian

Von meinem iPhone gesendet

> Am 19.02.2021 um 15:29 schrieb EPOS Global Support <[email-masked]>:

----------------------------------------------

Daniele Castiglioni, Feb 19, 2021, 14:30 UTC (private)

**_NEXT ACTION_**

**What**: Checking if customer received the replacement and provided return label 1Z609FR69196407561
**Who**: Christian
**When**: 25/02/2021​

----------------------------------------------

Daniele Castiglioni, Feb 19, 2021, 14:29 UTC

Dear Christian,

According to our records, the replacement product has been delivered to you. Please let us know, if everything is fine with it.

We are sending a pre-paid UPS return label attached to this email. Please follow the instructions on the label and return the faulty product to us within seven days.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
125393.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/BaBEVPMR8RwNJJYc1k1nV72cL/?name=125393.pdf

----------------------------------------------

Vishal Singh, Feb 16, 2021, 14:04 UTC (private)

**_NEXT ACTION_**

**What**: Provided tracking Number
**Who**: Christian Endres
**When**: 20/02/2021​

----------------------------------------------

Vishal Singh, Feb 16, 2021, 14:04 UTC

Dear Christian,

Your replacement order has been shipped under UPS tracking number **1Z609FR66868200595** and will be delivered to you by **17/02/2021** end of the day.

Please let us know once you have received the replacement unit and if it is working fine.

Have a great day ahead!

Best Regards,
Vishal
 EPOS Global Support

----------------------------------------------

Vishal Singh, Feb 16, 2021, 9:11 UTC (private)

Replacement product shipped to the customer.

Tracking number: 1Z609FR66868200595

----------------------------------------------

Christian Endres, Feb 16, 2021, 8:01 UTC

Dear Josue,

thanks a lot, I received the shipping information. Let’s see when it arrives.

We already talked about it: When will there be software support for macOS, what is the confirmed delivery date? Epos itself is advertising this on its website which is without that support near to fraud and an absolute no-go from a premium vendor.

Best

Christian

----------------------------------------------

Mpiana Josue, Feb 10, 2021, 13:47 UTC (private)

**_NEXT ACTION_**

**What**: RMA to CS
**Who**: CS
**When**: 16/02/2021​

----------------------------------------------

Mpiana Josue, Feb 10, 2021, 13:46 UTC

Dear Christian,

We have processed the warranty replacement request and you will receive automated emails about the estimated shipping date. You will also receive the tracking number when the replacement product has shipped.

Please let us know, if everything is fine with the replacement product, once you have received it. We will then send you a pre-paid return label for returning the faulty product.

We wish you a nice day!

Best regards,
Mpiana Josue
EPOS Global Support

----------------------------------------------

Pritish Nandi, Feb 10, 2021, 9:24 UTC (private)

RMA approved

----------------------------------------------

Mpiana Josue, Feb 9, 2021, 11:33 UTC (private)

**_CASE SUMMARY_**

**Contact person**: Christian Endres
**Email**: [email-masked]
**Product name**: GSP 370
**Number of Products**: 1
**Environment**: Mac and PC
**Issue**: Noise B-side
**Current status**:
- The customer reported that the voice quality on mac is very bad, he didn't have that issue with the old GSP 370.
- EPOS GS version: 1.5.1.409 Headset firmware: 2.21 Dongle firmware: 2.21
- Uninstalled and reinstalled the EPOS GS
- Did the headset and dongle firmware recovery
- The customer reported that people cannot understand him on web call when he was talking
- He noticed the same issue on windows 10 system as well
- Tested the headset via USB cable on Mac and PC, same issue
- The issue is happing on the meeting
- Purchased from Digital River on 03/12/2019

**Next: checking with level L2 for Advise**

----------------------------------------------

Christian Endres, Feb 8, 2021, 18:06 UTC

Dear Josue,

thank you for the reminder. Please find the invoice attached, but it is in German.

Best

Christian

Attachment(s):
sennheiser-gsp370-20191203.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/jzGCh45ZoRAwGANQhbP54Fpbo/?name=sennheiser-gsp370-20191203.pdf

----------------------------------------------

Mpiana Josue, Feb 8, 2021, 12:09 UTC (private)

**_NEXT ACTION_**

**What**: Asked for POP
**Who**: Christian
**When**: 11/02/2021

----------------------------------------------

Mpiana Josue, Feb 8, 2021, 12:08 UTC

Hello Christian,

Thank you for your patience and reply.

Could you please share with us the proof of purchase in PDF format?

Looking forward to your response.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Christian Endres, Feb 5, 2021, 16:29 UTC

Dear Jesue:

Attached, you find the mail from a colleague of you that the defective device was replaced by EPOS. In Germany, with this the implied warranties starts anew. If you need it, during the weekend, I can send you the original invoice from Dez 2019 as far as I remeber which I have on my personal computer.

**Name**: Christian Endres
**Phone**: +4917661095666
**E-mail**: [email-masked]
**Address line 1**: Winterlinger Weg 13
**Address line 2**:
**City**: Stuttgart
**State/Province**: Baden Württemberg
**Zip Code**: 70567
**Country**: Germany

Thank’s a lot and have a nice weekend!

Christian

Attachment(s):
unnamed_attachment_1.eml - https://eposaudio-gaming.zendesk.com/attachments/token/Xnh8VBRXfql5hOK5vk9FI8cOF/?name=unnamed_attachment_1.eml

----------------------------------------------

Mpiana Josue, Feb 5, 2021, 15:59 UTC (private)

**_NEXT ACTION_**

**What**: Asked for RMA information
**Who**: Christian
**When**: 10/02/2021

----------------------------------------------

Mpiana Josue, Feb 5, 2021, 15:57 UTC

Hello Christian,

Thank you for your reply.

Could you please provide us with the following information.

**Name**:
**Phone**:
**E-mail**:
**Address line 1**:
**Address line 2**:
**City**:
**State/Province**:
**Zip Code**:
**Country**:

**Proof of Purchase**:
(Please attach a copy of your proof of purchase document in PDF format)

Looking forward to your response.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Christian Endres, Feb 5, 2021, 15:48 UTC

Dear Josue,

I can confirm the issues, it happened in the meeting which took place right now. I used the GSP370 to confirm the issue. At the moment, the headset is not reliable enough and currently I use another uncomfortable one in business meetings. This is bad to me, because I bought this GSP370 for having a good one for my all-day-long web meetings.

To me, this topic has to faces:

On the one hand, there has to be software for latest Mac for this headset. It would be nice to know, when it will be available.

On the other hand, there are issues with the microphone which I did not have with the GSP370 I had before. In the case you don’t know the former issue ticket: The old GSP370 was swapped because the pads fell off because of bad glue. The new one I have since around 2 weeks. The firmware is the latest and I guess, it was tested before release also with Macs. I am sorry to say, to me it seems that this is no software issue, won’t be fixed with a software which will be available soonest in weeks or months, and that the current GSP370 is defective.

I am looking forward to your suggestions.

Best

Christian

----------------------------------------------

Mpiana Josue, Feb 5, 2021, 10:18 UTC (private)

**_NEXT ACTION_**

**What**: Asked if the issue still persist
**Who**: Christian
**When**: 10/02/2021

----------------------------------------------

Mpiana Josue, Feb 5, 2021, 10:17 UTC

Hello Christian,

Thank you for your patience.

Please accept my apologize for the late reply.

Can you please confirm that you are still face the noise issue?

I will check with our team for the roadmap for the EPOS Gaming Suite software for Mac and let you know.

Looking forward to your response.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Christian Endres, Feb 3, 2021, 14:39 UTC

Dear Josue,

is there a roadmap until when the first release of Gaming Suite will be available?

Please find the requested screenshot attached. Is this the view you need?

Best

Christian

![](https://eposaudio.zendesk.com/attachments/token/ns7oTGYBTLyti3tRm5prIMu2g/?name=image001.png)

----------------------------------------------

Mpiana Josue, Feb 3, 2021, 12:06 UTC (private)

**_NEXT ACTION_**

**What**: Asked for EPOS Gaming Suite screen
**Who**: Christian
**When**: 08/02/2021

----------------------------------------------

Mpiana Josue, Feb 3, 2021, 12:06 UTC

Hello Christian,

Thank you for your reply and patience.

I would like to inform you that our team are working to release the EPOS Gaming Suite software that will be compatible for the Mac

Could you please share with us the screen of EPOS Gaming Suite Application?

Looking forward to your response.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Christian Endres, Feb 2, 2021, 14:00 UTC

Dear Josue,

that I understood. Nevertheless, the product was advertised and sold, but delivered with limited support for promised operating systems. Anyway.

I did update the headset regularly with my Windows machine , last some time ago. On Friday, yesterday and today and many other days beforehand on multiple occasions, my colleagues couldn’t understand me anymore in web calls, words were missing, the meetings were interrupted, I had to switch to to my bluetooth headset. I use the Mac for work and the Windows for private purposes. This behavior was mainly with my Mac Mini M1 with latest updates, but also with my Windows 10 machine with latest updates. I check regularly if the headset is up2date.  The headset was connected to an USB switch (dedicated power supply) as well as to the Mac/Windows machine directly. I used multiple conferencing tools.

I am afraid, the headset still does not work properly. What would you suggest to do next?

Best

Christian Endres

----------------------------------------------

Mpiana Josue, Feb 1, 2021, 15:57 UTC (private)

**_NEXT ACTION_**

**What**: Provided FAQ
**Who**: Christian
**When**: 04/02/2021

----------------------------------------------

Mpiana Josue, Feb 1, 2021, 15:57 UTC

Hello Christian,

Thank you for your reply.

On my last email I mean to say that our team are currently working to release a software that will working with MacOS system as for now we do not have a EPOS Gaming Suite Application compatible for MacOS, we do have only for windows system.
I would like to request you if you can for now try to update the headset and the dongle firmware on the windows system (windows 10).

Looking forward to your response.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Christian Endres, Feb 1, 2021, 7:52 UTC

Dear EPOS, not Sennheiser any more, Team,

In my understanding, in your last mail you told me that you cannot help me.

I bought a headset from Sennheiser which should be working flawlessly under macOS, so the advertisement, but EPOS is not providing software for macOS. As a customer, this does not make sense to me.

Best

Christian Endres

----------------------------------------------

Mpiana Josue, Feb 1, 2021, 7:21 UTC (private)

**_NEXT ACTION_**

**What**: First follow-up completed
**Who**: Christian
**When**: 04/02/2021

----------------------------------------------

Mpiana Josue, Feb 1, 2021, 7:20 UTC

Dear Christian,

We would like to refer to your **support ticket number 125393** which you have requested with us on 22/01/2021.

Since our last correspondence, we have not received your response yet and would like to follow up with you. Please let us know if you have any further questions or concerns, we would appreciate a quick reply on your side.

Looking forward to your response.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Mpiana Josue, Jan 27, 2021, 9:04 UTC (private)

**_NEXT ACTION_**

**What**: Provided FAQ
**Who**: Christian
**When**: 29/01/2021​

----------------------------------------------

Mpiana Josue, Jan 27, 2021, 9:04 UTC

Hello Christian,

Thank you for your reply.

Unfortunately, we do not have an EPOS Gaming Suite Software for MAC yet. Our team are working to provide you an EPOS Gaming Suite software that will be compatible with MAC. For now, you will need windows 10 system.

Please accept our apologies for the inconvenience.

Do not hesitate to contact us if you have any question.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Christian Endres, Jan 26, 2021, 19:05 UTC

Dear Josue,

thanks for your mail. Unfortunately, the guide does not help. The problems are with my Mac (Big Sur, latest update). The former headset (branded with Sennheiser) worked fine but was replaced with EPOS last week because of defective. The GSP 370 is advertized with working under Mac, but actually there is no software for Mac working. Can help me out?

Thank‘s alot,

Christian

----------------------------------------------

Mpiana Josue, Jan 26, 2021, 12:30 UTC (private)

**_NEXT ACTION_**

**What**: Provided troubleshooting steps
**Who**: Christian
**When**: 29/01/2021​

----------------------------------------------

Mpiana Josue, Jan 26, 2021, 12:29 UTC

Dear Christian,

Thank you for contacting EPOS Global Support. For your convenience we have created a **support ticket number 125393** for your inquiry.

We are sorry to hear that you are experiencing problems with GSP 370.

Could you please go through the following troubleshooting steps:-

1. Uninstall completely the EPOS Gaming Suite and go to C:\ProgramData or C:\Program Files (x86) and delete the Sennheiser | EPOS Gaming Suite folder completely and Then restart your PC.
2. Reinstall the EPOS Gaming Suite:- EPOS Gaming Suite
After installation please restart the PC.
3. Then plug the dongle and pair it with the headset, once the dongle and headset is connected, go to EPOS Gaming Suite small icon, right click on that and then select Troubleshooting and then click on Start Dongle recovery.
4. Once done dongle recovery, please unplug the dongle from the PC and connect the headset via USB cable, and then go to EPOS Gaming Suite small icon, right click on that and select Troubleshooting again, then click on Start headset recovery. Please keep in mind when update the headset firmware the dongle must be unplugged.

Please follow these steps and let us know if the issue persists. Looking forward to your response.

We wish you a nice day!

Best regards,
Josue
EPOS Global Support

----------------------------------------------

Vishal Singh, Jan 22, 2021, 10:54 UTC (private)

**Name**: Christian Endres
**Phone**: +4917661095666
**Email**:[email-masked]​ ​
**Product name:** GSP 370
 **Number of Products:** 1
**Issue:** unfortunately I have problems with the replacement headphones. The voice quality under MacOS (BigSur 11.1, current status) has been so bad in the last few days that my colleagues cannot understand me. I didn't have these problems with the old ones in the past few days. Is there any working software from Epos on Mac for the headphones, something else I can do?**​**
**Current status:** Customer received a replacement product under ticket #121937 and they reported a technical problem with the new product. Please contact the customer for troubleshooting.

--------------------------------
This email is a service from EPOS Gaming.

[OK4Z23-8QD4]